# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MToolBarElement

Packages that use MToolBarElement
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of MToolBarElement in org.eclipse.e4.ui.model.application.ui.menu

Subinterfaces of MToolBarElement in org.eclipse.e4.ui.model.application.ui.menu
Modifier and Type
Interface
Description
`interface`
`MDirectToolItem`
A representation of the model object 'Direct Tool Item'.
`interface`
`MHandledToolItem`
A representation of the model object 'Handled Tool Item'.
`interface`
`MToolBarSeparator`
A representation of the model object 'Tool Bar Separator'.
`interface`
`MToolControl`
A representation of the model object 'Tool Control'.
`interface`
`MToolItem`
A representation of the model object 'Tool Item'.

## Uses of MToolBarElement in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MToolBarElement
Modifier and Type
Class
Description
`class`
`DirectToolItemImpl`
An implementation of the model object 'Direct Tool Item'.
`class`
`HandledToolItemImpl`
An implementation of the model object 'Handled Tool Item'.
`class`
`ToolBarElementImpl`
An implementation of the model object 'Tool Bar Element'.
`class`
`ToolBarSeparatorImpl`
An implementation of the model object 'Tool Bar Separator'.
`class`
`ToolControlImpl`
An implementation of the model object 'Tool Control'.
`class`
`ToolItemImpl`
An implementation of the model object 'Tool Item'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return types with arguments of type MToolBarElement
Modifier and Type
Method
Description
`List<MToolBarElement>`
ToolBarContributionImpl.`getChildren()`
This is specialized for the more specific element type known in this context.
`List<MToolBarElement>`
ToolBarImpl.`getChildren()`
This is specialized for the more specific element type known in this context.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl with parameters of type MToolBarElement
Modifier and Type
Method
Description
`void`
ToolBarContributionImpl.`setSelectedElement(MToolBarElement newSelectedElement)`
This is specialized for the more specific type known in this context.
`void`
ToolBarImpl.`setSelectedElement(MToolBarElement newSelectedElement)`
This is specialized for the more specific type known in this context.

## Uses of MToolBarElement in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MToolBarElement
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseToolBarElement(MToolBarElement object)`
Returns the result of interpreting the object as an instance of 'Tool Bar Element'.

## Uses of MToolBarElement in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return MToolBarElement
Modifier and Type
Method
Description
`MToolBarElement`
ToolBarManagerRenderer.`getToolElement(IContributionItem item)`
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MToolBarElement
Modifier and Type
Method
Description
`void`
ToolBarManagerRenderer.`cleanUpCopy(ToolBarContributionRecord record, MToolBarElement copy)`
`void`
ToolBarManagerRenderer.`clearModelToContribution(MToolBarElement model, IContributionItem item)`
`boolean`
ToolBarContributionRecord.`computeVisibility(HashSet<ToolBarContributionRecord> recentlyUpdated, MToolBarElement item, ExpressionContext exprContext)`
`IContributionItem`
ToolBarManagerRenderer.`getContribution(MToolBarElement element)`
`ToolBarContributionRecord`
ToolBarManagerRenderer.`getContributionRecord(MToolBarElement element)`
`ArrayList<ToolBarContributionRecord>`
ToolBarManagerRenderer.`getList(MToolBarElement item)`
`void`
ToolBarManagerRenderer.`linkElementToContributionRecord(MToolBarElement element, ToolBarContributionRecord record)`
`void`
ToolBarManagerRenderer.`linkModelToContribution(MToolBarElement model, IContributionItem item)`